exult (1.6-4) UNRELEASED; urgency=medium

  * debian/exult.docs: Removed README.1ST, it pertains to the 1.0 version.
  * debian/rules: Add -fsanitize=address to DEB_CXXFLAGS_MAINT_APPEND.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Apr 2020 09:37:26 +0200

exult (1.6-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Set DEBUG_FLAGS to -g in order
    to enable debugging, as the build system strips it from the dpkg-buildflags
    provided CXXFLAGS.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Apr 2020 09:37:09 +0200

exult (1.6-2) unstable; urgency=medium

  * debian/patches/build_fix_narrowing_conversion.patch: New patch, fixes a
    narrowing conversion compile error on architectures where char is unsigned,
    taken from upstream commit 70ce1da4.
  * debian/rules (override_dh_auto_configure): Add --enable-compiler.
  * debian/exult-studio.install: Readd ucc.
  * debian/rules: Enable parallel build.
  * debian/control (exult-studio/Description: Update description of tools.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Apr 2020 22:10:16 +0200

exult (1.6-1) unstable; urgency=medium

  * New upstream release, changes include:
    + More data from the original has been decoded and thus improved gameplay
      and combat
    + In-game Notebook with support for automatic notes (notes created by
      usecode)
    + Rewrite of the Graphics system to allow switching to full screen on
      modern systems
    + Seperate settings for fullscreen and windowed mode possible
    + Aspect correction is now supported
    + NxBR and HQ3x/HQ4x scalers
    + Shortcut bar with important shortcuts right on top of the screen
    + Option to drop stacks of items without confirmation
    + Some more combat options to make charmed combat more difficult
    + Schedules got a work-over and are more closer to the original but not yet
      perfect
    + NPCs using beds are sleeping better now
    + New shapes for paperdoll
    + Paperdoll support of wearing diapers
    + Better pathfinding when the party boards a barge
    + Cleaned up the code in many places and fixed many compiler warnings
    + Moved hard-coded information to datafiles
    + Greatly improved compiler tools to ease new game development
    + Multi-map support for new games
    + Increased limits on resource sizes (shapes, frames, etc)
    + Tons of work on our map editor Exult Studio and the ability to develop
      new games and mods
    + Fixed most inexplicable crashes
    + Tons of bugfixes
  * debian/patches: Dropped all patches, no longer needed.
  * debian/watch: Rewritten for Github.
  * debian/control (Build-Depends): Removed libsdl1.2-dev/libsdl-mixer1.2-dev,
    added libsdl2-dev, libsdl2-mixer-dev and libvorbis-dev.
  * debian/rules (override_dh_auto_configure): Added --with-desktopdir.
  * debian/exult.install: Updated.
  * debian/exult-studio.install: Removed ucc, added cmanip, mklink, rip and
    wuc. Also install usr/share/games/exult/estudio/new/*.dat files.
  * debian/exult-studio.manpages: Removed ucc manpage.
  * debian/man/ucc.1: Removed.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Apr 2020 21:13:41 +0200

exult (1.2-18) unstable; urgency=medium

  * debian/control (Build-Depends): Switch from automake1.11 to automake
    (Closes: #865146).
  * debian/rules (AUTOMAKE, ACLOCAL): Removed.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 May 2018 13:26:06 +0200

exult (1.2-17) unstable; urgency=medium

  * Acknowledge NMUs.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/control (Maintainer, Uploaders): Take over as maintainer.
  * debian/control (Vcs-Git, Vcs-Browser) Updated to salsa.debian.org.
  * debian/control (Build-Depends): Removed quilt.
  * debian/rules: Remove --with-quilt.
  * debian/patches/09_autoconf_debian.patch: New patch, removes debian/Makefile
    from autoconf's AC_OUTPUT.
  * debian/control (Build-Depends): Added dh-autoreconf.
  * debian/rules: Switch to dh_autoreconf and remove manual autoreconf
    invocation from override_dh_auto_configure.
  * debian/exult.install: Remove target directory.
  * debian/rules (override_dh_auto_install): Copy executable to its target
    directory before installing the wrapper script.
  * debian/exult.dirs: New file, creating the /usr/lib/games/exult directory
    where the executable is copied to.

 -- Michael Banck <mbanck@debian.org>  Fri, 27 Apr 2018 19:54:57 +0200

exult (1.2-16.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Allow building with GCC 6 (Closes: #836938).

 -- Stephen Kitt <skitt@debian.org>  Fri, 23 Sep 2016 22:27:00 +0200

exult (1.2-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * NMU based on git repository
  * Add patch to fix FTBFS for libpng1.6 (Closes: #809894)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 17:35:39 +0100

exult (1.2-16) UNRELEASED; urgency=medium

  * Standards-Version bumped to 3.9.5.
  * Shorten debian/rules file:
    + Compat level bumped to 9.
    + Depend on debhelper (>= 9).
  * Use canonical Vcs-* fields.
  * debian/patches/06_build-with-libpng1.5.patch: Add short description,
    author, and email.
  * Acknowledge 1.2-15.2 NMU. (Closes: #664226)
  * debian/po:
    + Add Japanese translation (victory). (Closes: #690691)
    + Add Turkish translation (Mert Dirik). (Closes: #757874)
  * debian/source/format: Define source format as 1.0.

 -- Jordà Polo <jorda@ettin.org>  Tue, 18 Mar 2014 19:44:57 +0100

exult (1.2-15.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741714)

 -- Eric Dorland <eric@debian.org>  Mon, 17 Mar 2014 22:26:48 -0400

exult (1.2-15.2) unstable; urgency=low

  * Non-maintainer upload to help for libpng transition
  * Allow building with libpng 1.5. Thanks to Iwamatsu Nobuhiro
    for the patch. Closes: #649549
  * Build-Depends on libpng-dev. Closes: #662319
  * Lintian cleaning:
    - drop debian/files in clean rule
    - add build-arch and build-indep build rules

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Mar 2012 22:21:27 +0100

exult (1.2-15.1) unstable; urgency=low

  * Non-maintainer upload to fix l10n and one RC bug
  * Pass -fpermissive to allow conversion from 'const char*' to 'char*'.
    Closes: #653779
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #595628
    - Dutch (Jeroen Schot).  Closes: #654391
    - Polish (Michał Kułach).  Closes: #657628
    - Italian (Francesca Ciceri).  Closes: #658502

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Feb 2012 08:23:57 +0100

exult (1.2-15) unstable; urgency=low

  * Standards-Version bumped to 3.8.4, no changes required.
  * Fix build failure with GCC 4.4, thanks to SevenMachines. (Closes: #563226)

 -- Jordà Polo <jorda@ettin.org>  Mon, 08 Feb 2010 13:31:05 +0100

exult (1.2-14) unstable; urgency=low

  * debian/control:
    + Standards-Version bumped to 3.8.1.
    + Add ${misc:Depends} to exult-studio's Depends.
    + Remove build-dependency on timidity.
  * debian/copyright:
    + Make it clear that this package isn't part of Debian.
    + Use © instead of (C) in copyright notices.
    + Refer to GPL-2, not GPL.
  * Use the LIBS variable in ./configure invocation instead of patching
    configure.ac.
  * Install exult binary in /usr/lib/games/exult.
  * debian/patches:
    + disable_timidity_check: New patch to avoid checking for
      /usr/bin/timidity while building the package.
    + midi_file_path: Use ~/.exult instead of current directory to load midi
      audio.
  * debian/po:
    + Added Galician translation (Marce Villarino). (Closes: #512115)
  * New README.source file to explain how to generate a patched source.
  * debian/man: Use minus instead of hyphen for manpage options.
  * Use `set -e' in the body of maintainer scripts instead of passing -e to
    the #! line.

 -- Jordà Polo <jorda@ettin.org>  Tue, 07 Apr 2009 15:45:02 +0200

exult (1.2-13) unstable; urgency=low

  * debian/exult-studio.menu: Section changed to «Games/Tools».
  * debian/control:
    + Standards-Version bumped to 3.7.3.
    + Add Homepage field and remove it from package descriptions.
    + Add Vcs-Git and Vcs-Browser fields.
  * Move exult-studio binaries and data to /usr/games and /usr/share/games
    respectively.
    + Remove studio_dir.patch.
  * debian/cvs_build: Removed, no longer used.
  * Fix build failure with GCC 4.3 (included in gcc4_build_fix.patch).

 -- Jordà Polo <jorda@ettin.org>  Wed, 30 Jan 2008 09:44:00 +0100

exult (1.2-12) unstable; urgency=low

  * Fixed mixed space/tab indentation in maintainer scritps.
  * Custom manpages moved from «debian» to «debian/man».
  * Moved debhelper compatibility level from DH_COMPAT in «debian/rules»
    to «debian/compat».
  * debian/po:
    + Added Portuguese translation (Luísa Lourenço). (Closes: #415854)
    + Added Spanish translation (Enrique Matías). (Closes: #419218)
    + Updated Russian translation (Yuriy Talakan'). (Closes: #414083)
    + Updated Catalan translation.
  * debian/*.xpm: Icon files are now handled by dh_install.
  * debian/*.dirs: Removed unneeded files.
  * debian/watch: Comments cleanup.

 -- Jordà Polo <jorda@ettin.org>  Sun, 01 Apr 2007 20:00:35 +0200

exult (1.2-11) unstable; urgency=low

  * debian/control: Remove Build-Depend on x-dev, which is now
    deprecated.
  * debian/patches: Added a new patch to fix X11 flags while linking:
    05_x11_link_flags.patch. (Closes: #397599)

 -- Jordà Polo <jorda@ettin.org>  Fri,  9 Mar 2007 18:42:01 +0100

exult (1.2-10) unstable; urgency=low

  * debian/po: Updated French translation (Thomas Huriaux).
    (Closes: #384517)
  * Switched to quilt for patch management:
    + Build-Depends on quilt (>= 0.40).
    + Include quilt.make in debian/rules.
    + Added new debian/patches/series file.
    + Updated debian/patches/*.patch files.

 -- Jordà Polo <jorda@ettin.org>  Tue,  3 Oct 2006 22:09:39 +0200

exult (1.2-9) unstable; urgency=low

  * debian/copyright: Added a list of copyright holders and the license
    header.
  * debian/exult-studio.README.Debian: Removed references to non-existant
    or obsoleted documentation.
  * debian/exult-studio.docs: Removed; the file only listed one document
    (expack.txt) which contained exactly the same information than the
    manpage (expack.1).
  * debian/exult-studio.manpages: New file.
  * debian/po:
    + New translations: Catalan.
    + Updated translations: Czech (Martin Šín), German (Helge
      Kreutzman), Swedish (Daniel Nylander).
  * debian/rules: use -Wl,--as-needed when linking, to prevent picking
    up on a large number of dependencies that aren't actually used;
    this appears to be the only way to drop these dependencies when
    using convenience libraries.
  * debian/ucxt.1: New manpage.

 -- Jordà Polo <jorda@ettin.org>  Thu, 17 Aug 2006 20:22:36 +0200

exult (1.2-8) unstable; urgency=low

  * debian/control:
    + New Maintainer.
    + Build-Depend on debhelper (>= 5), and automake1.9 instead
      automake1.4. (Closes: #380535)
    + Added missing build dependency: libfreetype6-dev.
    + Standards-Version bumped to 3.7.2, no changes required.
    + Depends on ${misc:Depends} instead of debconf.
    + Fixed Homepage format in descriptions.
  * debian/config: Check if the configuration file exists. (Closes: #192469)
  * debian/postrm: New file, removes exult.cfg on purge. (Closes: #192468)
  * debian/rules:
    + DH_COMPAT changed to 5.0.
    + (configure) Run autoreconf, not autogen.sh.
    + (install) Use dh_install instead of the deprecated dh_movefiles.
  * debian/exult*.install: New files, for dh_install.
  * debian/(exult,exult-studio).files: Removed, dh_movefiles not used
    anymore.
  * debian/exult-studio.xpm: New file, exult-studio menu icon.
  * debian/patches:
    + 01_estudio_dir.patch: Removed.
    + 01_studio_dir.patch: New file, install exult-studio data in /usr/share
      rather than /usr/share/games.
    + 03_desktop_dir.patch: New file, fixes desktop and icon directories.
    + 03_gcc4_build_fix.patch moved to 04_gcc4_build_fix.patch.
  * debian/templates: Fixed malformed titles and avoid use of first person.
  * debian/watch: New file.

 -- Jordà Polo <jorda@ettin.org>  Fri,  4 Aug 2006 16:35:22 +0200

exult (1.2-7) unstable; urgency=low

  * Acknowledge NMU. (Closes: #346849)
  * debian/control: Reformat long description. (Closes: #343064)
  * Sync with Ubuntu. (Closes: #380386)
    + debian/patches/03_gcc4_build_fix.patch: Updated.

 -- Michael Banck <mbanck@debian.org>  Sat, 29 Jul 2006 23:03:28 +0200

exult (1.2-6.1ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * fmopldrv.h - Remove extra qualifier
  * ucfunc.h - same

 -- Barry deFreese <bddebian@comcast.net>  Sat, 29 Jul 2006 11:52:41 -0400

exult (1.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346849)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 02:48:14 +0100

exult (1.2-6) unstable; urgency=low

  * debian/control (Build-Depends): Add versioned dependency >= 2.2.8-11 on
    libgimp2.0-dev. (Closes: #332622)
  * debian/rules (CRUFT): Removed usecode/compiler/uclex.cc,
    usecode/compiler/ucparse.h and usecode/compiler/ucparse.cc.

 -- Michael Banck <mbanck@debian.org>  Tue,  1 Nov 2005 12:04:22 +0100

exult (1.2-5) unstable; urgency=low

  * Package transformed to dpatch:
    + debian/patches/01_estudio_dir.patch: New file.
    + debian/patches/02_gimp_plugin_dir.patch: New file.
    + debian/rules (/usr/share/dpatch/dpatch.make): New include.
    + (configure): Depend on patch rule.
    + (clean): Depend on unpatch rule.
    + (build): Depend on configure instead of configure-stamp.
    + debian/control (Build-Depends): Added dpatch.
  * debian/patches/03_gcc4_build_fix.patch: New patch by Andreas Jochens.
    Fixes build failure on gcc4. (Closes: #295052)
  * debian/control (Build-Depends): Modify libsdl1.2-dev build
    dependency to the aalib and smpeg transitioned version. (Closes: #320873,
    Closes: #322140)  Switch from libpng2-dev to libpng12-dev.
    (Closes: #328348)
  * debian/po/cs.po: New file, by Martin Sin. (Closes: #319580).
  * debian/exult.files: Updated.
  * debian/control (exult): Add alternative Depends on debconf-2.0.
    (Closes: #331819)
  * debian/po/sv.po: New file, by Daniel Nylander. (Closes: #330388).

 -- Michael Banck <mbanck@debian.org>  Thu,  6 Oct 2005 01:42:41 +0200

exult (1.2-4) unstable; urgency=low

  * Many thanks to Christian Perrier for handling the template
    translation updates.
  * debian/po/fr.po: Added French translation from Eric Madesclair.
    (Closes: #268032)
  * debian/po/de.po: Updated German translation from Helge Kreutzmann.
  * debian/po/nl.po: Added Dutch translation from Luk Claes.
  * debian/po/zh_TW.po: Added traditional chinese translation from
    Asho Yeh.

 -- Michael Banck <mbanck@debian.org>  Tue,  8 Feb 2005 01:15:47 +0100

exult (1.2-3) unstable; urgency=low

  * debian/control (Maintainer): New Maintainer.  (Closes: #275780)
  * debian/files: Removed.
  * debian/exult.wrapper: New file, handles copying of global
    configuration file to user configuration file.  (Closes: #192507)
  * debian/rules: Trimmed comments and whitespace.
  * debian/rules (configure): Use /usr/games as exec_prefix.
  * debian/rules/exult.menu (command): Changed to /usr/games/exult.
  * debian/rules/exult.dirs: New file, for /usr/games.
  * debian/rules (install): Added call to dh_installdirs.

 -- Michael Banck <mbanck@debian.org>  Wed, 13 Oct 2004 16:04:22 +0200

exult (1.2-2) unstable; urgency=low

  * Orphaned.  Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Carlos Laviola <claviola@debian.org>  Sun, 10 Oct 2004 04:14:06 -0300

exult (1.2-1) unstable; urgency=medium

  * Uploading with medium urgency, because this version _really_ needs to
    make it to sarge.
  * New maintainer.  (Closes: #260718)
  * Added Michael Banck <mbanck@debian.org> as a co-maintainer/uploader.
  * New upstream release.  (Closes: #256987)
  * Acknowledging NMUs.  (Closes: #218927, #201915, #244426)
  * Bumped Standards-Version to 3.6.1.1.
  * Applied a patch from Martin Quinson to switch exult to gettext-based
    debconf templates.  (Closes: #240857)
  * - data/Makefile.am: Applied miscelaneous fixes for correct
      installation.
    - mapedit/Makefile.am: Applied miscelaneous fixes for correct
      installation.
    - Thanks to Michael Banck for the hand on finding and fixing these.
  * Exult has been fixed upstream and should no longer FTBFS when built
    with gcc-3.4.  (Closes: #261057)

 -- Carlos Laviola <claviola@debian.org>  Tue, 17 Aug 2004 16:42:35 -0300

exult (1.00-2.3) unstable; urgency=low

  * Non-maintainer upload during (another) Bug-Squashing-Party.
  * control: Change Build-Depends from libgimp1.2-dev to
    libgimp2.0-dev and exult-studio's Recommends from gimp1.2 to
    gimp.
  * Make configure.in aware of Gimp-2.0, adopted from upstream CVS.
  * Port mapedit/u7shp.c to Gimp-2.0, adopted from upstream CVS.
  * Move AM_PATH_SDL from aclocal.m4 to acinlude.m4.
  * Add AM_MAINTAINER_MODE to configure.in.
  * Rerun autotools.

 -- Michael Banck <mbanck@debian.org>  Sun, 18 Apr 2004 12:14:19 +0200

exult (1.00-2.2) unstable; urgency=low

  * Non-maintainer upload during Bug-Squashing-Party.
  * Updated libtool (Closes: #201915).
  * rules: pass --build to confopts.
  * configure.in: Strip $(DESTDIR) from GIMP_PLUGIN_PREFIX.
  * Rerun aclocal and autoconf.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Mar 2004 13:16:04 +0100

exult (1.00-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Added g++ 3.3 porting fixes thanks to John Lightsey (Closes: #218927)

 -- Roland Stigge <stigge@antcom.de>  Fri, 21 Nov 2003 17:29:04 +0100

exult (1.00-2) unstable; urgency=low

  * The "fixdaemon" release.
  * g++ 3.2 apparently broken on sparc, go back to the default compiler ...
  * Update config.sub for s390 et al.

 -- Robert Bihlmeyer <robbe@debian.org>  Mon, 25 Nov 2002 23:22:34 +0100

exult (1.00-1) unstable; urgency=low

  * The "Happy birthday, J.R." release.
  * Need to depend on a libpngX-dev. I'll use X=2 for now.
  * data/Makefile.am: wanted to install to
    /usr/share/exult/estudio/new/estudio/new.
  * Include /usr/share/exult/estudio/ in exult-studio package.
  * desktop/Makefile.am: install Gnome desktop file.
  * rules: install needs dir /usr/share/exult/estudio/new -- create it.
  * exult.docs: ReadMe.html and faq.html are no longer shipped.
  * exult-studio.docs: exult_studio.html, exult_studio.txt, newgame.txt,
    ucc.txt are no longer shipped.
  * tools/*.1 went missing, reinstated.

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 24 Nov 2002 13:17:38 +0100

exult (0.99.1rc2-2) unstable; urgency=low

  * The "In the Garden of Eden" release.
  * Some of the last versions of libgnome-dev depended on broken libpng.
    Build-depend on either a suitably old or recent version. Closes: #159102
  * Let's try g++ 3.2 this time, shall we?
  * Support noopt in DEB_BUILD_OPTIONS. This moves us to Standards-Version
    3.5.7, so there!

 -- Robert Bihlmeyer <robbe@debian.org>  Mon,  2 Sep 2002 22:34:37 +0200

exult (0.99.1rc2-1) unstable; urgency=low

  * The "Song 2" release.
  * New upstream release candidate (see my previous entry for more info).
  * More g++ 3 fixes did the salmon and have gone upstream.

 -- Robert Bihlmeyer <robbe@debian.org>  Thu,  6 Jun 2002 20:15:27 +0200

exult (0.98rc1+20020601-1) unstable; urgency=low

  * The "Ever fought with dirty diapers?" release.
  * New CVS snapshot, in preperation for rc2 -- mostly bugfixes, plus:
    + a much improved Exult Studio,
    + better support for conversations in ucc,
    + 32-bit usecode (for those big games you're all itching to write).
  * Upstream g++ 3 compliance improved, some of my patches became moot.
  * Avoid deprecated c++ headers where easily possible (usage of strstream
    remains).
  * Fix g++ 3 problem in mapedit/shapefile.h.
  * Include HTML versions of README and FAQ in the exult package.
  * Put some useful documentation about ucc and the studio into the
    exult-studio package.
  * Manpages for ipack, shp2pcx, splitshp, textpack, and expack were
    incorporated upstream, so no need for seperate copies anymore.
  * Re-fix gimp plugin installation.
  * Clean up usecode/ucxt/data/u7{bg,si}intrinsics.data.
  * debconfiguration done right: values are now initialised from the
    config file, and changes are only applied to the relevant parts of
    this file. You can now edit exult.cfg to your heart's desire (or use
    dpkg-reconfigure to change the most important settings).
  * Remove the "don't edit" warning from exult.cfg.
  * Config script now insists on the display of errors, even if they have
    been seen before. This needs debconf 0.5 or higher to work.

 -- Robert Bihlmeyer <robbe@debian.org>  Tue,  4 Jun 2002 20:42:18 +0200

exult (0.98rc1-2) unstable; urgency=low

  * Fix up once more for gcc-3.0.

 -- Robert Bihlmeyer <robbe@debian.org>  Wed, 27 Mar 2002 23:34:17 +0100

exult (0.98rc1-1) unstable; urgency=low

  * New upstream release candidate:
    + New bilinear scaler.
    + Configurable combat difficulty.
    + Many bugfixes, including incorporation of some of mine.
  * New tools packaged with exult-studio:
    + Flex file manipulators: expack, textpack, ipack.
    + Shape manipulators: splitshp, shp2pcx.
    + Usecode compiler and decompiler: ucc, ucxt. These two are
      undocumented and only intended for the very adventurous.
  * Zipped files are now supported via zlib -- adjust build-depends.
  * Always call configure with the proper build and host triplets.
  * Due to this config.guess is now largely irrelevant, so go with
    upstream's old version.
  * Resync config.sub with autotools-dev, though.
  * Don't let configure and automake touch debian/. Hand-apply changes to
    the generated files so that the diff is not needlessly bloated.
  * Add russian debconf templates (thanks, Ilgiz Kalmetev). Closes:
    #137641.
  * Fixed bison is available, so remove workaround and build-conflict with
    the buggy version.

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 24 Mar 2002 18:42:18 +0100

exult (0.96beta1-4) unstable; urgency=low

  * Bison 1:1.31-1 is broken (see bug#129619). Work around that in
    usecode/compiler/Makefile.am.
  * usecode/compiler/ucparse.yy used sprintf() without including
    <stdio.h>. Fixed, reported upstream as SF bug #504923.

 -- Robert Bihlmeyer <robbe@debian.org>  Thu, 17 Jan 2002 17:20:03 +0100

exult (0.96beta1-3) unstable; urgency=low

  * Fix assumptions about char-signedness (Thanks go to Gerhard Tonn for
    the heads-up). Reported upstream as SF bug #503834.

 -- Robert Bihlmeyer <robbe@debian.org>  Tue, 15 Jan 2002 14:57:05 +0100

exult (0.96beta1-2) unstable; urgency=low

  * Move along, nothing new to see, just using ye olde default gcc.

 -- Robert Bihlmeyer <robbe@debian.org>  Wed, 12 Dec 2001 12:04:48 +0100

exult (0.96beta1-1) unstable; urgency=low

  * The "Seeking Employment" release.
  * New upstream beta version:
    + Compressed savegames
    + Gameplay option dialog
    + Better mouse support
  * Best of all, Serpent Isle can be completed now -- change the package
    description accordingly.
  * configure.in, mapedit/Makefile.am: Use libglade-config --cflags to
    determine correct -I switches.
  * Regenerate some auto*-files due to above changes, but touch
    configure.in into the past, so that the auto*-machinery won't rebuild
    every noggin Makefile.in, aclocal.m4, and family.
  * Some g++ 3 patches no longer necessary:
    gamerend.cc, mapedit/chunklst.{h,cc}, mapedit/studio.h, objs/barge.cc
  * Removed a GPG key that I have distributed by mistake.
  * Disable shlibs hackery. Exult depends on newest g++ libs again.

 -- Robert Bihlmeyer <robbe@debian.org>  Wed,  5 Dec 2001 14:03:29 +0100

exult (0.94alpha5-6) unstable; urgency=low

  * The "I'd rather have Tacos" release.
  * When trying to please g++ 3, one should not forget about 2.95, either.
    Two-timing is hard.
  * Build-depend on libgnome-dev just to get at gnome-config.
  * Include the resulting Gnome desktop entry in exult package.

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 28 Oct 2001 21:40:35 +0100

exult (0.94alpha5-5) unstable; urgency=low

  * "The arm autobuilder doesn't love me anymore" release.
  * Override libgcc1 and libstdc++ dependency to fit into testing.
  * Enable studio and Gimp plugin, and put them into a new exult-studio
    package.
  * For this we need to build-depend on libgimp1.2-dev and libglade0-dev.
  * The rules also had to be revamped a bit for the multi-package setup.
  * Exult studio needed some C++ fixes to pacify g++ 3.
  * It also tried to load its .glade UI from . -- kludged for now.
  * The Gimp plugin would ignore $DESTDIR. Fixed.
  * Standards-Version bumped to 3.5.6 -- no changes.

 -- Robert Bihlmeyer <robbe@debian.org>  Fri,  7 Sep 2001 11:45:57 +0200

exult (0.94alpha5-4) unstable; urgency=low

  * I give up. g++-3 on arm or sparc still broken. Revert to older version
    on these platforms. alpha, i386, powerpc seem to work fine; no words
    from the other arches.
  * Remove some autogenerated _flx.h files when cleaning.

 -- Robert Bihlmeyer <robbe@debian.org>  Thu,  6 Sep 2001 17:35:54 +0200

exult (0.94alpha5-3) unstable; urgency=low

  * Using g++ 3.0 on arm & sparc will not work as long as they are
    exempted from the g++-3.0 build-dependency. Silly me!

 -- Robert Bihlmeyer <robbe@debian.org>  Wed,  5 Sep 2001 11:39:53 +0200

exult (0.94alpha5-2) unstable; urgency=low

  * The "Why did it work the last time?" release.
  * Bitten by the dreaded "obsolete config.guess" bug. Fixed by
    re-libtoolizing.

 -- Robert Bihlmeyer <robbe@debian.org>  Tue,  4 Sep 2001 18:40:51 +0200

exult (0.94alpha5-1) unstable; urgency=low

  * The "Nach Diktat verreist" release.
  * New upstream version: Better BG intro, hp (mana) bars overlay, in-game
    video menu, improved graphics performance, etc.
  * gcc 3.0 seems to be ok on arm, and sparc. Re-enable.
  * Change text templates to notes (closes: bug#106336).

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 26 Aug 2001 15:59:20 +0200

exult (0.93alpha4-3) unstable; urgency=low

  * The "Lapsang, too dark to drink" release.
  * Add build-depends reported missing by James Troup (closes: bug#104545).

 -- Robert Bihlmeyer <robbe@debian.org>  Fri, 13 Jul 2001 16:54:52 +0200

exult (0.93alpha4-2) unstable; urgency=low

  * Disable gcc 3.0 for:
    - sparc (they still have an old version with borked dependencies, see
             bug #103568)
    - arm (build error which is possibly libstdc++3-dev's fault)

 -- Robert Bihlmeyer <robbe@debian.org>  Thu, 12 Jul 2001 13:38:12 +0200

exult (0.93alpha4-1) unstable; urgency=low

  * New upstream version: New game control screen, nifty save game browser,
    many SI improvements, and lots of bugfixes.
  * Standards-Version bumped to 3.5.5 -- no changes.
  * Added german debconf template contributed by Sebastian Feltel
    (closes: bug#100589).
  * Put a warning into exult.cfg that it is a generated file.
  * copyright: Made license of the packaging explicit, plus minor
    touchups.
  * Try to clean without root.
  * Use gcc 3.0. (Had to add some "using" directives to usecode/keyring.cc.)
  * Support DEB_BUILD_OPTIONS=debug.

 -- Robert Bihlmeyer <robbe@debian.org>  Sun,  8 Jul 2001 23:32:00 +0200

exult (0.92alpha3-1) unstable; urgency=low

  * New upstream alpha version.
  * Create a site-wide config file that gets used when the starting user
    has none. The file contains path settings that are inquired via
    debconf.

 -- Robert Bihlmeyer <robbe@orcus.priv.at>  Mon, 23 Apr 2001 00:23:56 +0200

exult (0.91alpha2-1) unstable; urgency=low

  * Initial Release.

 -- Robert Bihlmeyer <robbe@debian.org>  Mon,  9 Apr 2001 22:03:34 +0200
